Bug 391723 - plasma won't startup automatically
Summary: plasma won't startup automatically
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_sddm (show other bugs)
Version: 5.12.3
Platform: Neon Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 18:59 UTC by PK
Modified: 2019-02-06 05:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PK 2018-03-11 18:59:10 UTC
When I try to make plasma startup without login (automatically) it keeps asking for my credentials.
Comment 1 Nate Graham 2018-03-11 20:30:09 UTC
I'm afraid there isn't enough information in this bug to be actionable. Please read https://community.kde.org/Get_Involved/Bug_Reporting and add the missing information.
Comment 2 PK 2018-03-12 08:20:45 UTC
steps to reproduce:
select "automatic login" in the "advanced" tab of the sddm configuration module in the systemsettings.
At reboot the machine will ask for credentials again.
I'm experimenting with this but this is a eight years old Dell Lattitude E5500 laptop. I just tried on a much newer machine (also intel cpu) and there it worked as it should. If/when I learn something more I will tell here.
Comment 3 David Edmundson 2018-03-12 09:04:33 UTC
Can you run 

cat /etc/sddm.conf 

and paste the output please.
Comment 4 PK 2018-03-12 09:19:13 UTC
To be extra sure I configured sddm to NOT login autatically and rebooted. After that I configured sddm to login automatically (also using the graphical tool in systemsettings). But the system keeps asking for my credentials.
When I run cat /etc/sddm.conf the output is:
[Autologin]
Relogin=false
Session=plasma.desktop
User=slmpe

[General]
HaltCommand=
RebootCommand=

[Theme]
Current=breeze
CursorTheme=breeze_cursors

[Users]
MaximumUid=65000
MinimumUid=1000
Comment 5 Christoph Feck 2018-03-30 19:28:19 UTC
Thanks for the update; changing status.